%define backend x11
%define _altdata_dir %_datadir/alterator
%define _altlib_dir %_libdir/alterator
%define module x11

Name: alterator-x11
Version: 0.7
Release: alt15

Packager: Stanislav Ievlev <inger@altlinux.org>

Source:%name-%version.tar

Summary: alterator module for Xorg setup and configuration
License: GPL
Group: System/Configuration/Other
Requires: x11setupdrv x11presetdrv
Requires: alterator >= 2.9-alt0.1

#xorg components
Requires: xorg-x11-mesagl >= 6.8.2-alt8.1
Requires: xorg-x11-drv-video
Requires: xinit >= 1.0.1-alt1
Requires: xorg-x11-server >= 1.0.1-alt8

Requires: alterator-backend-%module = %version-%release
BuildPreReq: alterator >= 2.9-alt0.1 alterator-standalone

# Automatically added by buildreq on Thu Jan 25 2007
BuildRequires: alterator-standalone libXft-devel libxorgconfig-devel libXt-devel

%description
alterator module for Xorg setup and configuration

%package -n alterator-backend-%module 
Summary: alterator backend for %backend setup and configuration
Group: System/Configuration/Other
Requires: ddcprobe, libhw-tools >= 0.2.14 , hwdatabase >= 0.3.10
Provides:  %_datadir/%name/video

%description -n alterator-backend-%module
simple alterator backend for %backend setup and configuration

%prep
%setup -q

%build
%make_build


%install
%makeinstall DESTDIR=%buildroot
%find_lang %name

%post
%update_menus
%postun
%clean_menus



%files -f %name.lang
%_sysconfdir/alterator/profile.d/*
%_bindir/config-*
%_altdata_dir/maps/*
%_altdata_dir/ui/*/
%_desktopdir/*

%files -n alterator-backend-%module
%_bindir/*
%exclude %_bindir/config-*
%_prefix/libexec/%name
%_datadir/%name
%_alterator_backenddir/*
%_alterator_backend3dir/*

%changelog
* Wed May 02 2007 Stanislav Ievlev <inger@altlinux.org> 0.7-alt15
- add Ukrainian translation

* Wed Apr 18 2007 Stanislav Ievlev <inger@altlinux.org> 0.7-alt14
- fix work with monitors with double names ('Comtec CT 150')

* Wed Apr 11 2007 Stanislav Ievlev <inger@altlinux.org> 0.7-alt13
- fix autodetection (#11356)

* Tue Mar 27 2007 Stanislav Ievlev <inger@altlinux.org> 0.7-alt12
- fix work with monitors containing " symbols in their names (#11236)

* Fri Feb 16 2007 Stanislav Ievlev <inger@altlinux.org> 0.7-alt11
- improve ui (use gridbox and separator)

* Mon Feb 05 2007 Stanislav Ievlev <inger@altlinux.org> 0.7-alt10
- run x11presetdrv during backend initialization
- add information about current resolution
- simplify ui (replace apply recommended with notes)
- simplify ui code (resolution list generation)

* Fri Feb 02 2007 Stanislav Ievlev <inger@altlinux.org> 0.7-alt9
- fix description list

* Thu Feb 01 2007 Stanislav Ievlev <inger@altlinux.org> 0.7-alt8
- finally move old xconf backend to new x11 backend3
- simplify internal ui logic
- ddc reading optimization
- monitor_autosetup utility

* Wed Jan 31 2007 Stanislav Ievlev <inger@altlinux.org> 0.7-alt7
- fix recommended depth calculation

* Wed Jan 31 2007 Stanislav Ievlev <inger@altlinux.org> 0.7-alt6
- improve color depth support

* Wed Jan 31 2007 Stanislav Ievlev <inger@altlinux.org> 0.7-alt5
- add support for autoinstall
- use ->bool from standard library

* Tue Jan 30 2007 Stanislav Ievlev <inger@altlinux.org> 0.7-alt4
- fix message in monitor testing

* Tue Jan 30 2007 Stanislav Ievlev <inger@altlinux.org> 0.7-alt3
- new monitor_scan and monitor_setup utilities

* Fri Jan 26 2007 Stanislav Ievlev <inger@altlinux.org> 0.7-alt2
- monitorinfo tool : update to latest ddcprobe utility
- ui: use auto-detected driver by default

* Mon Jan 22 2007 Stanislav Ievlev <inger@altlinux.org> 0.7-alt1
- new experimental monitor testing tool

* Thu Jan 18 2007 Stanislav Ievlev <inger@altlinux.org> 0.6-alt4
- backend: fix work on xf86_64
- ui: don't fail on empty lists

* Wed Jan 17 2007 Stanislav Ievlev <inger@altlinux.org> 0.6-alt3
- hotfix: in installer

* Wed Jan 17 2007 Stanislav Ievlev <inger@altlinux.org> 0.6-alt2
- new vcdb helper (now we show drivers not listed in Cards+)
- fix makefile: install-data, install-tools
- improve x11 backend: list only installed drivers
- x11 ui: start use new /x11 backend

* Tue Jan 16 2007 Stanislav Ievlev <inger@altlinux.org> 0.6-alt1
- improve experimental video card detection

* Mon Jan 15 2007 Stanislav Ievlev <inger@altlinux.org> 0.5-alt8
- experimental functions for video cards auto detection
- minimal xorg.conf template

* Thu Jan 11 2007 Stanislav Ievlev <inger@altlinux.org> 0.5-alt7
- fix requires

* Fri Dec 29 2006 Stanislav Ievlev <inger@altlinux.org> 0.5-alt6
- fix typo

* Fri Dec 15 2006 Stanislav Ievlev <inger@altlinux.org> 0.5-alt5
- another tunings for install3

* Thu Nov 30 2006 Stanislav Ievlev <inger@altlinux.org> 0.5-alt4
- tunings for install3

* Wed Nov 29 2006 Stanislav Ievlev <inger@altlinux.org> 0.5-alt3
- start xfs before start
- require xorg-x11-xfs

* Wed Nov 15 2006 Stanislav Ievlev <inger@altlinux.org> 0.5-alt2
- replace old setupgl call with a modern x11setupdrv

* Wed Nov 08 2006 Stanislav Ievlev <inger@altlinux.org> 0.5-alt1
- move icons to separate package (alterator-icons)
- update build system
- remove code to work with xkb settings
- update inittab backend

* Wed Jun 14 2006 Anton Farygin <rider@altlinux.ru> 0.4.5-alt1
- updated for new alterator

* Wed May 03 2006 Anton Farygin <rider@altlinux.ru> 0.4.4-alt1
- fixed for new alterator

* Tue Mar 21 2006 Anton Farygin <rider@altlinux.ru> 0.4.3-alt1
- fixed build

* Mon Feb 20 2006 Anton Farygin <rider@altlinux.ru> 0.4.2-alt1
- code fix

* Tue Feb 07 2006 Anton Farygin <rider@altlinux.ru> 0.4.1-alt1
- fixed layouts in monitor selection screen

* Tue Feb 07 2006 Anton Farygin <rider@altlinux.ru> 0.4-alt1
- updated to new alterator-2.6
- use QT4 for qyesno tool

* Fri Oct 21 2005 Anton Farygin <rider@altlinux.ru> 0.3.16-alt1
- icon for acc added

* Thu Oct 20 2005 Anton Farygin <rider@altlinux.ru> 0.3.15-alt1
- added icons

* Tue Sep 27 2005 Anton Farygin <rider@altlinux.ru> 0.3.14-alt1
- Sergey Turchin: quesno - improved look
- don't change keyboard layout in standalone and acc versions (#8042)
- multilib support (#7922)
- config-x11 now work from console (#7980)

* Tue Sep 20 2005 Anton Farygin <rider@altlinux.ru> 0.3.13-alt1
- Sergey Turchin: quesno - improved look

* Wed Sep 07 2005 Anton Farygin <rider@altlinux.ru> 0.3.12-alt1
- improve UI (zerg@)

* Tue Sep 06 2005 Anton Farygin <rider@altlinux.ru> 0.3.11-alt1
- set default runlevel to 5 if /var/lock/TMP_1ST exists

* Mon Sep 05 2005 Anton Farygin <rider@altlinux.ru> 0.3.10-alt1
- tatarian keyboards layouts added
- ui fixes
- added standalone version

* Fri Aug 19 2005 Anton Farygin <rider@altlinux.ru> 0.3.9-alt2
- data files moved to backend

* Fri Aug 19 2005 Anton Farygin <rider@altlinux.ru> 0.3.9-alt1
inger:
    - replace own empty? with general empty-string?
    - use zero? predicate

* Tue Aug 02 2005 Anton Farygin <rider@altlinux.ru> 0.3.8-alt1
- belarussian translations added (thanks to ...?)
- test button into standalone version fixed

* Thu Jul 14 2005 Anton Farygin <rider@altlinux.ru> 0.3.7-alt1
- russian help added (kirill@)
- qyesno timeout (10s) implemented (#7325)

* Mon Jul 11 2005 Anton Farygin <rider@altlinux.ru> 0.3.6-alt1
- apply autodetected for resolutions (#7309)

* Thu Jul 07 2005 Stanislav Ievlev <inger@altlinux.org> 0.3.5-alt1.1
- fixed map
- minor fixes in layout

* Tue Jul 05 2005 Anton Farygin <rider@altlinux.ru> 0.3.5-alt1
- fixed setgl parameters on changes testing (#6964)

* Mon Jul 04 2005 Anton Farygin <rider@altlinux.ru> 0.3.4-alt1
- fixed resolutions list

* Mon Jun 27 2005 Anton Farygin <rider@altlinux.ru> 0.3.3-alt1
- usability improved (#7155)
- xtest message rewrited (#7185)

* Mon Jun 20 2005 Anton Farygin <rider@altlinux.ru> 0.3.2-alt1
- added default runlevel configuration checkbox (x11 or console)
- fixed some bugs
- updated to new alterator
- added "auto" for resolutions list

* Wed Jun 08 2005 Anton Farygin <rider@altlinux.ru> 0.3.1-alt1
- updated russian translation

* Wed Jun 08 2005 Anton Farygin <rider@altlinux.ru> 0.3.0-alt1
- added dualhead workaround into xconf
- rewrited get-resolutions (lioka@)

* Tue Jun 07 2005 Anton Farygin <rider@altlinux.ru> 0.2.1-alt1
- fixed apply button for default values
- updated map for new wizard format

* Tue May 31 2005 Anton Farygin <rider@altlinux.ru> 0.2-alt1
- rewrited ui for new look
- separate select for monitors vendor and model
- restore position of selected values for monitor and drivers substeps
- unset XAUTHORITY before starting X (for testing from acc)
- show recomended monitor and video card settings
- restore color-depth from current config (default 24)
- get resolutions from monitor DDC (if available)
- setting up default resolutions for monitor from DDC
- show dialog after failed monitor test
- split package to backend and frontend

* Wed May 04 2005 Stanislav Ievlev <inger@altlinux.org> 0.1-alt7
- new shapshot

* Thu Apr 28 2005 Stanislav Ievlev <inger@altlinux.org> 0.1-alt6
- replace Xdialog with qyesno

* Wed Apr 27 2005 Stanislav Ievlev <inger@altlinux.org> 0.1-alt5
- new snapshot

* Mon Apr 25 2005 Stanislav Ievlev <inger@altlinux.org> 0.1-alt4
- improved files layout

* Thu Apr 21 2005 Stanislav Ievlev <inger@altlinux.org> 0.1-alt3
- bugfixes

* Wed Apr 13 2005 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2
- bugfixes

* Tue Apr 12 2005 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- Initial

